## ros-one-ros-pytest 0.2.1-7jammy.20250510.2146

=== debian/changelog ===
ros-one-ros-pytest (0.2.1-7jammy.20250510.2146) UNRELEASED; urgency=high

  * jammy Append timestamp when binarydeb was built.

 -- Alexander Rössler <alex@machinekoder.com>  Sat, 10 May 2025 21:46:02 +0000

ros-one-ros-pytest (0.2.1-0jammy) jammy; urgency=high

  * Merge pull request #9 <https://github.com/machinekoder/ros_pytest/issues/9> from jspricke/missing_dependencies
    Add dependency on python-pytest-cov
  * Contributors: Alexander Rössler, Jochen Sprickerhof

 -- Alexander Rössler <alex@machinekoder.com>  Mon, 03 May 2021 00:00:00 -0000

ros-one-ros-pytest (0.2.0-0jammy) jammy; urgency=high

  * Merge pull request #7 <https://github.com/machinekoder/ros_pytest/issues/7> from machinekoder/fix-folders
  * Bugfix for pytest folder tests
  * Merge pull request #5 <https://github.com/machinekoder/ros_pytest/issues/5> from sfalexrog/python3_compat
  * Merge pull request #6 <https://github.com/machinekoder/ros_pytest/issues/6> from PilzDE/feature/add_coverage
  * Remove comment
  * Added reasoning and integrate if CATKIN_TEST_COVERAGE is set
  * Create subfolder for .coverage for each test
  * Add  flag to pytest execution
  * Add coverage for pytest
  * package.xml: Use conditional dependencies
  * CMakeLists: Use catkin_install_python for script installation
  * Contributors: Alexander Gutenkunst, Alexander Rössler, Alexey Rogachevskiy, hslusarek

 -- Alexander Rössler <alex@machinekoder.com>  Wed, 12 Aug 2020 00:00:00 -0000

ros-one-ros-pytest (0.1.2-0jammy) jammy; urgency=high

  * Added add_pytests cmake macro
  * enable passing of additional commands
  * Contributors: Alexander Rössler, Markus Grimm

 -- Alexander Rössler <alex@machinekoder.com>  Thu, 15 Nov 2018 00:00:00 -0000

ros-one-ros-pytest (0.1.1-0jammy) jammy; urgency=high

  * Release for melodic

 -- Alexander Rössler <alex@machinekoder.com>  Sun, 07 Oct 2018 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ros-pytest//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ros-pytest 0.2.1-7jammy.20260220.2205

=== debian/changelog ===
ros-one-ros-pytest (0.2.1-7jammy.20260220.2205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Rössler <alex@machinekoder.com>  Fri, 20 Feb 2026 22:05:14 +0000

## ros-one-ros-pytest 0.2.1-7noble.20251023.0109

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_pytest)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ros_pytest
#  CATKIN_DEPENDS pyros python-pytest
#  DEPENDS system_lib
   CFG_EXTRAS pytest.cmake
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
# include
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
# add_library(${PROJECT_NAME}
#   src/${PROJECT_NAME}/ros_pytest.cpp
# )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
# add_executable(${PROJECT_NAME}_node src/ros_pytest_node.cpp)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
# target_link_libraries(${PROJECT_NAME}_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
catkin_install_python(PROGRAMS
  scripts/ros_pytest_runner
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
# install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_ros_pytest.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(tests/libtest.test)
endif()

=== debian/changelog ===
ros-one-ros-pytest (0.2.1-7noble.20251023.0109) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Rössler <alex@machinekoder.com>  Thu, 23 Oct 2025 01:09:57 +0000

ros-one-ros-pytest (0.2.1-0noble) noble; urgency=high

  * Merge pull request #9 <https://github.com/machinekoder/ros_pytest/issues/9> from jspricke/missing_dependencies
    Add dependency on python-pytest-cov
  * Contributors: Alexander Rössler, Jochen Sprickerhof

 -- Alexander Rössler <alex@machinekoder.com>  Mon, 03 May 2021 00:00:00 -0000

ros-one-ros-pytest (0.2.0-0noble) noble; urgency=high

  * Merge pull request #7 <https://github.com/machinekoder/ros_pytest/issues/7> from machinekoder/fix-folders
  * Bugfix for pytest folder tests
  * Merge pull request #5 <https://github.com/machinekoder/ros_pytest/issues/5> from sfalexrog/python3_compat
  * Merge pull request #6 <https://github.com/machinekoder/ros_pytest/issues/6> from PilzDE/feature/add_coverage
  * Remove comment
  * Added reasoning and integrate if CATKIN_TEST_COVERAGE is set
  * Create subfolder for .coverage for each test
  * Add  flag to pytest execution
  * Add coverage for pytest
  * package.xml: Use conditional dependencies
  * CMakeLists: Use catkin_install_python for script installation
  * Contributors: Alexander Gutenkunst, Alexander Rössler, Alexey Rogachevskiy, hslusarek

 -- Alexander Rössler <alex@machinekoder.com>  Wed, 12 Aug 2020 00:00:00 -0000

ros-one-ros-pytest (0.1.2-0noble) noble; urgency=high

  * Added add_pytests cmake macro
  * enable passing of additional commands
  * Contributors: Alexander Rössler, Markus Grimm

 -- Alexander Rössler <alex@machinekoder.com>  Thu, 15 Nov 2018 00:00:00 -0000

ros-one-ros-pytest (0.1.1-0noble) noble; urgency=high

  * Release for melodic

 -- Alexander Rössler <alex@machinekoder.com>  Sun, 07 Oct 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-ros-pytest
Section: misc
Priority: optional
Maintainer: Alexander Rössler <alex@machinekoder.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-pytest-cov, python3-setuptools, ros-one-catkin, ros-one-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ros-pytest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pytest, python3-pytest-cov, ros-one-rospy
Description: The ros_pytest package

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-ros-pytest 0.2.1-7noble.20260220.2214

=== debian/changelog ===
ros-one-ros-pytest (0.2.1-7noble.20260220.2214) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Rössler <alex@machinekoder.com>  Fri, 20 Feb 2026 22:14:39 +0000
